Bug 220889 - Review Request: fakechroot - Gives a fake chroot environment
Review Request: fakechroot - Gives a fake chroot environment
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-12-28 08:00 EST by Axel Thimm
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-01 16:12:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Axel Thimm 2006-12-28 08:00:13 EST
Spec URL: http://dl.atrpms.net/all/fakechroot.spec
SRPM URL: http://dl.atrpms.net/all/fakechroot-2.5-8.at.src.rpm
Description:
Gives a fake chroot environment.
Comment 1 Parag AN(पराग) 2006-12-28 10:12:37 EST
Kindly remove .a and .la files from installation
Comment 2 Axel Thimm 2006-12-29 07:25:59 EST
Spec URL: http://dl.atrpms.net/all/fakechroot.spec
SRPM URL: http://dl.atrpms.net/all/fakechroot-2.5-9.at.src.rpm

* Thu Dec 28 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.5-9
- Don't build static lib.
- Exclude libtool lib.
Comment 3 Axel Thimm 2006-12-29 13:12:41 EST
%description is a bit terse, please assume the %description reads:

   fakechroot runs a command in an environment were is additionally possible to
   use the chroot(8) call without root privileges. This is useful for allowing 
   users to create their own chrooted environment with possibility to install
   another packages without need for root privileges.

E.g. this and fakeroot are useful

a) for mock and friends for students w/o root access, as well as
b) for hardening buildsystems (impossible to gain root privileges by injecting
   malicious packages into build hosts)

There is no technical dependency between fakeroot and fakechroot, but it makes
most sense to use both together for faking chroot calls and setting up faked
chroots.
Comment 4 Mamoru TASAKA 2006-12-31 13:53:57 EST
Well, a very quick check:

* Please add a license documentation.
  Note: LICENSE documentation says that this is licensed under
  LGPL, not GPL.
* Can the files under test/ can be used for %check?
* What are other scripts under scripts/ directories?
* %{_libdir}/fakechroot/ is not owned by any packages.
Comment 5 Axel Thimm 2007-01-01 09:31:00 EST
Spec URL: http://dl.atrpms.net/all/fakechroot.spec
SRPM URL: http://dl.atrpms.net/all/fakechroot-2.5-11.at.src.rpm

* Sun Dec 31 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.5-11
- Add %%{_libdir}/fakechroot to %%files.
- Fix license (is LGPL, not GPL).
- Add commented %%check (currently broken).
- Add ldd.fake and save/restoremode.sh to %%doc

* Fri Dec 29 2006 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.5-10
- Extend the %%description a bit.

Comment 6 Mamoru TASAKA 2007-01-01 12:56:11 EST
Well,

A. From http://fedoraproject.org/wiki/Packaging/Guidelines
=  Licensing -- is not LGPL and this is correct

* Use rpmlint
-------------------------------------------------
W: fakechroot doc-file-dependency /usr/share/doc/fakechroot-2.5/ldd.fake
/usr/bin/perl

-------------------------------------------------
   Well.. I understood first when I read the following.
-------------------------------------------------
doc-file-dependency :
An included file marked as %doc creates a possible additional dependency in
the package.  Usually, this is not wanted and may be caused by eg. example
scripts with executable bits set included in the package's documentation.
-------------------------------------------------

   For this package, 
-------------------------------------------------
[tasaka1@localhost ~]$ rpm -q --requires fakechroot
/bin/sh  
/usr/bin/perl  <- THIS
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.3.4)  
libc.so.6(GLIBC_2.4)  
libdl.so.2  
libdl.so.2(GLIBC_2.0)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
--------------------------------------------------
    and /usr/bin/perl is actually not necessary.
    When I all changed the permission of %doc files
    to 0644,
--------------------------------------------------
[tasaka1@localhost i386]$ rpm -qp --requires fakechroot-2.5-11.1.i386.rpm 
/bin/sh  
libc.so.6  
libc.so.6(GLIBC_2.0)  
libc.so.6(GLIBC_2.1.1)  
libc.so.6(GLIBC_2.1.3)  
libc.so.6(GLIBC_2.3.4)  
libc.so.6(GLIBC_2.4)  
libdl.so.2  
libdl.so.2(GLIBC_2.0)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
----------------------------------------------------
    and the dependency for /usr/bin/perl disappears.

    Change the permission of %doc files to 0644.
    (However, I think this is somewhat bug of rpmbuild?)

B. http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
   = This is okay, except for written in A.

Please fix the issues in A. Other things are okay.
--------------------------------------------------------
   This package (fakechroot) is APPROVED by me.
Comment 7 Mamoru TASAKA 2007-01-01 13:01:47 EST
(In reply to comment #6)
> A. From http://fedoraproject.org/wiki/Packaging/Guidelines
> =  Licensing -- is not LGPL and this is correct

I meant "Licensing -- is now LGPL and this is correct"....
Comment 8 Axel Thimm 2007-01-01 16:12:58 EST
Thanks for the review! Final changelog entry:

* Mon Jan  1 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 2.5-12
- Remove executable bits from scripts in documentation.

Note You need to log in before you can comment on or make changes to this bug.